[cfe-commits] r92956 - /cfe/trunk/utils/VtableTest/check-zti

Mike Stump mrs at apple.com
Thu Jan 7 14:50:04 PST 2010


Author: mrs
Date: Thu Jan  7 16:50:03 2010
New Revision: 92956

URL: http://llvm.org/viewvc/llvm-project?rev=92956&view=rev
Log:
Add checker for type infos.

Added:
    cfe/trunk/utils/VtableTest/check-zti   (with props)

Added: cfe/trunk/utils/VtableTest/check-zti
URL: http://llvm.org/viewvc/llvm-project/cfe/trunk/utils/VtableTest/check-zti?rev=92956&view=auto

==============================================================================
--- cfe/trunk/utils/VtableTest/check-zti (added)
+++ cfe/trunk/utils/VtableTest/check-zti Thu Jan  7 16:50:03 2010
@@ -0,0 +1,20 @@
+#!/bin/sh
+
+N_STRUCTS=300
+
+# Utility routine to "hand" check type infos.
+
+let i=0;
+while [ $i != $N_STRUCTS ]; do
+  sed -n "/^__ZTI.*s$i:/,/\.[sg][el]/p" test-clang.s |
+    grep -v '\.[sg][el]' | sed 's/(\([0-9][0-9]*\))/\1/' >test-clang-zti
+  sed -n "/^__ZTI.*s$i:/,/\.[sg][el]/p" test-gcc.s |
+    grep -v '\.[sg][el]' | sed 's/(\([0-9][0-9]*\))/\1/' >test-gcc-zti
+  diff -U3 test-gcc-zti test-clang-zti
+  if [ $? != 0 ]; then
+     echo "FAIL: s$i type info"
+  else
+     echo "PASS: s$i type info"
+  fi
+  let i=i+1
+done

Propchange: cfe/trunk/utils/VtableTest/check-zti

------------------------------------------------------------------------------
    svn:executable = *





More information about the cfe-commits mailing list